/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer.controller
 *  ファイル：ExportReportCommand.java
 *  説明：
 *
 *  作成日: 2004/01/31
 */
package openolap.viewer.controller;

import java.io.IOException;

import javax.servlet.ServletException;

import openolap.viewer.User;
import openolap.viewer.common.CommonSettings;
import openolap.viewer.export.ExportReport;
import openolap.viewer.export.ExportReportFactory;
import openolap.viewer.manager.CellDataManager;

/**
 *  クラス：ExportReportCommand
 *  説明：
 */
public class ExportReportCommand implements Command {

	public String execute(RequestHelper helper, CommonSettings commonSettings)
		throws ServletException, IOException {

		// ディメンションメンバ、セルデータ取得条件をSessionに一時保存
		CellDataManager.saveRequestParamsToSession(helper);

		User user = (User) helper.getRequest().getSession().getAttribute("user");

		// エクスポート処理実行
		ExportReportFactory exportReportFactory = new ExportReportFactory();
		ExportReport exportReport = exportReportFactory.getExportReport(user);
		String page = exportReport.exportReport(helper);

		return page;
	}

}
